## mudlet 2.0

=== CMakeLists.txt ===
project (mudlet)

CMAKE_MINIMUM_REQUIRED (VERSION 2.6)

SET(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../cmake ${CMAKE_MODULE_PATH})
SET(QT_MIN_VERSION "4.4.0") # we need at least version 4.4 of Qt now
SET(QT_USE_QTNETWORK 1)
SET(CMAKE_CONFIGURATION_TYPES "Release")
SET(mudlet_RCCS mudlet_alpha.qrc)
SET( mudlet_SRCS 
TConsole.cpp
ctelnet.cpp
main.cpp
Host.cpp
HostManager.cpp
HostPool.cpp
dlgConnectionProfiles.cpp
dlgTriggerEditor.cpp
TTrigger.cpp
TriggerUnit.cpp
TLuaInterpreter.cpp
dlgTriggersMainArea.cpp
dlgOptionsAreaTriggers.cpp
dlgOptionsAreaTimers.cpp
dlgOptionsAreaScripts.cpp
TCommandLine.cpp
TTreeWidget.cpp
TTreeWidgetItem.cpp
TTimer.cpp
TScript.cpp
TAlias.cpp
dlgTimersMainArea.cpp
dlgSystemMessageArea.cpp
dlgSourceEditorArea.cpp
TimerUnit.cpp
ScriptUnit.cpp
AliasUnit.cpp
dlgScriptsMainArea.cpp
dlgAliasMainArea.cpp
dlgOptionsAreaAlias.cpp
dlgSearchArea.cpp
TAction.cpp
ActionUnit.cpp
dlgActionMainArea.cpp
dlgOptionsAreaAction.cpp
EAction.cpp
dlgAboutDialog.cpp
TDebug.cpp
dlgKeysMainArea.cpp
TKey.cpp
KeyUnit.cpp
dlgProfilePreferences.cpp
TTextEdit.cpp
XMLexport.cpp
XMLimport.cpp
FontManager.cpp
TFlipButton.cpp
TToolBar.cpp
TLabel.cpp
TEasyButtonBar.cpp
TForkedProcess.cpp
dlgColorTrigger.cpp
dlgTriggerPatternEdit.cpp
TSplitter.cpp
TSplitterHandle.cpp
mudlet.cpp
dlgNotepad.cpp
THighlighter.cpp
dlgComposer.cpp
TBuffer.cpp
)

SET(mudlet_UIS 
ui/connection_profiles.ui
ui/main_window.ui
ui/trigger_editor.ui
ui/options_area_triggers.ui
ui/options_area_timers.ui
ui/options_area_aliases.ui
ui/options_area_scripts.ui
ui/triggers_main_area.ui
ui/scripts_main_area.ui
ui/aliases_main_area.ui
ui/system_message_area.ui
ui/source_editor_area.ui
ui/extended_search_area.ui
ui/actions_main_area.ui
ui/options_area_actions.ui
ui/timers_main_area.ui
ui/about_dialog.ui
ui/keybindings_main_area.ui
ui/color_trigger.ui
ui/notes_editor.ui
ui/trigger_pattern_edit.ui
ui/composer.ui
ui/profile_preferences.ui
)

SET(mudlet_MOC_HDRS 
mudlet.h
    TTimer.h
    EAction.h
    TConsole.h
    ctelnet.h
    Host.h
    HostManager.h
    HostPool.h
    dlgConnectionProfiles.h
    dlgTriggerEditor.h
    TTrigger.h
    TLuaInterpreter.h
    dlgTriggers_main_area.h
    dlgOptionsAreaTriggers.h
    dlgTriggerPatternEdit.h
    TCommandLine.h
    TTreeWidget.h
    TTreeWidgetItem.h
    TScript.h
    TAlias.h
    dlgTimersMainArea.h
    dlgSourceEditorArea.h
    dlgSystemMessageArea.h
    TimerUnit.h
    ScriptUnit.h
    AliasUnit.h
    dlgScriptsMainArea.h
    dlgAliasMainArea.h
    dlgOptionsAreaAlias.h
    dlgOptionsAreaScripts.h
    dlgOptionsAreaTimers.h
    dlgSearchArea.h
    TAction.h
    ActionUnit.h
    dlgActionMainArea.h
    dlgOptionsAreaAction.h
    dlgAboutDialog.h
    TMatchState.h
    TEvent.h
    TDebug.h
    dlgKeysMainArea.h
    TKey.h
    KeyUnit.h
    dlgProfilePreferences.h
    TTextEdit.h
    TFlipButton.h
    TToolBar.h
    TBuffer.h
    TriggerUnit.h
    TLabel.h
    TEasyButtonBar.h
    TForkedProcess.h
    dlgColorTrigger.h
    TSplitter.h
    TSplitterHandle.h
    dlgNotepad.h
    THighlighter.h
    dlgComposer.h
    Tree.h
)

FIND_PACKAGE(Qt4 REQUIRED)
FIND_PACKAGE(Lua51 REQUIRED)
FIND_PACKAGE(ZLIB REQUIRED)
FIND_PACKAGE(PCRE REQUIRED)

INCLUDE(../MudletCPack.cmake) # Use CPack
INCLUDE(${QT_USE_FILE})
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR} ${mudlet_BINARY_DIR} ${QSCINTILLA_INCLUDE_DIR} ${LUA_INCLUDE_DIR} ${ZLIB_INCLUDE_DIR} ${PCRE_INCLUDE_DIR})

QT4_AUTOMOC(${mudlet_SRCS})
QT4_WRAP_UI(mudlet_UIS_H ${mudlet_UIS})
QT4_WRAP_CPP(mudlet_MOC_SRCS ${mudlet_MOC_HDRS})
QT4_ADD_RESOURCES(mudlet_RCC_SRCS ${mudlet_RCCS})

add_executable(mudlet WIN32 ${mudlet_SRCS} ${mudlet_UIS_H} ${mudlet_MOC_SRCS} ${mudlet_RCC_SRCS})

TARGET_LINK_LIBRARIES(mudlet ${QT_LIBRARIES} ${LUA_LIBRARIES} ${ZLIB_LIBRARIES} ${PCRE_LIBRARIES})

install( PROGRAMS mudlet DESTINATION "/usr/local/bin" )
install( FILES LuaGlobal.lua mudlet_documentation.html fonts/ttf-bitstream-vera-1.10/COPYRIGHT.TXT fonts/ttf-bitstream-vera-1.10/local.conf fonts/ttf-bitstream-vera-1.10/README.TXT fonts/ttf-bitstream-vera-1.10/RELEASENOTES.TXT fonts/ttf-bitstream-vera-1.10/VeraBd.ttf fonts/ttf-bitstream-vera-1.10/VeraBI.ttf fonts/ttf-bitstream-vera-1.10/VeraIt.ttf fonts/ttf-bitstream-vera-1.10/VeraMoBd.ttf fonts/ttf-bitstream-vera-1.10/VeraMoBI.ttf fonts/ttf-bitstream-vera-1.10/VeraMoIt.ttf fonts/ttf-bitstream-vera-1.10/VeraMono.ttf fonts/ttf-bitstream-vera-1.10/VeraSeBd.ttf fonts/ttf-bitstream-vera-1.10/VeraSe.ttf fonts/ttf-bitstream-vera-1.10/Vera.ttf DESTINATION "/usr/local/share/mudlet" )

## mudlet 2.0-rc4~20110506

=== debian/changelog ===
mudlet (2.0-rc4~20110506-1) unstable; urgency=low

  * New upstream release
  * Links to luajit not lua libraries

 -- Craig Small <csmall@debian.org>  Sat, 07 May 2011 16:17:24 +1000

mudlet (2.0-rc1~20110116-3) unstable; urgency=low

  * Uses system dictionaries and suggest hunspell-en-us
  * Added pkg-config to build depends to stop FTBFS

 -- Craig Small <csmall@debian.org>  Fri, 21 Jan 2011 21:50:44 +1100

mudlet (2.0-rc1~20110116-2) unstable; urgency=low

  * Relocate lua files to /usr/share and patch to find it
  * Added lua documentation

 -- Craig Small <csmall@debian.org>  Mon, 17 Jan 2011 22:20:30 +1100

mudlet (2.0-rc1~20110116-1) unstable; urgency=low

  * Initial release Closes: #610175

 -- Craig Small <csmall@debian.org>  Sun, 16 Jan 2011 08:14:21 +1100

=== debian/control ===
Source: mudlet
Section: games
Priority: extra
Maintainer: Craig Small <csmall@debian.org>
Build-Depends: debhelper (>= 7.0.50~), pkg-config, qt4-qmake, zlib1g-dev, libboost-dev, libluajit-5.1-dev, libyajl-dev, libpcre3-dev, libqt4-opengl-dev, libqt4-dev, libhunspell-dev
Standards-Version: 3.9.1
Homepage: http://www.mudlet.org/

Package: mudlet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblua5.1-rex-pcre0, liblua5.1-sql-sqlite3-2
Suggests: hunspell-en-us
Description: Graphical MUD client with fast lua scripting support
 A completely redesigned MUD (Multi User Dungeon) client that is easy to
 use and customise.  Both power users and plain gamers alike will feel at
 home with Mudlet, without having to waste too much timer figuring out
 how to do something.
 . 
 Mudlet is designed to be very fast and efficient right from the start.
 It's scripting engine is designed to handle thousands of lines under
 one second. The scripting framework uses Lua - a small, fast and
 efficient scripting language.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=mudlet
SRC_VERSION:=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
TARBALL=$(PACKAGE)_$(SRC_VERSION).orig.tar.gz

%:
	dh $@ 

override_dh_auto_clean:
	[ ! -f src/Makefile ] || $(MAKE) -C src distclean

override_dh_auto_configure:
	cd src ; qmake

override_dh_auto_build:
	make -C src

override_dh_installchangelogs:
	dh_installchangelogs src/changelog.txt

override_dh_install:
	dh_install
	chmod a-x debian/mudlet/usr/share/games/mudlet/lua/*.lua
	chmod a-x debian/mudlet/usr/share/games/mudlet/lua/geyser/*.lua

get-orig-source:
	rm -rf get-orig-source $(TARBALL)
	mkdir -p get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig
	wget -O get-orig-source/upstream.tgz "http://mudlet.git.sourceforge.net/git/gitweb.cgi?p=mudlet/mudlet;a=snapshot;h=HEAD;sf=tgz"
	cd get-orig-source && tar xfz upstream.tgz -C $(PACKAGE)-$(SRC_VERSION).orig --strip-components=1
	cd get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig/src && \
		rm -rf yajl fonts hunspell en_US.aff en_US.dic
	tar cvfz $(TARBALL) -C get-orig-source $(PACKAGE)-$(SRC_VERSION).orig
	rm -rf get-orig-source

## mudlet 2.0-rc5

=== debian/changelog ===
mudlet (2.0-rc5-1) unstable; urgency=low

  * New upstream release

 -- Craig Small <csmall@debian.org>  Sat, 14 May 2011 20:12:49 +1000

## mudlet 2.0-rc12

=== debian/changelog ===
mudlet (2.0-rc12-3) unstable; urgency=low

  * Removed dependency on luajit Closes: #680134
  * Updated to standards version 3.9.3
  * Updated to debhelper 9

 -- Craig Small <csmall@debian.org>  Wed, 04 Jul 2012 21:43:11 +1000

mudlet (2.0-rc12-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing include to fix FTBFS with Qt 4.8 (Closes: #661946)
    - Thanks to Andreas Moog from Ubuntu for the patch

 -- Scott Kitterman <scott@kitterman.com>  Thu, 10 May 2012 17:39:10 -0400

mudlet (2.0-rc12-2) unstable; urgency=low

  * Linked to yajl2 Closes: #653880

 -- Craig Small <csmall@debian.org>  Sun, 19 Feb 2012 09:12:16 +1100

mudlet (2.0-rc12-1) unstable; urgency=low

  * New upstream release
  * Control file uses luajit on available arches Closes: #644649

 -- Craig Small <csmall@debian.org>  Tue, 01 Nov 2011 14:19:08 +1100

mudlet (2.0-rc11-2) unstable; urgency=low

  * Conditionally compiles against lua or luajit Closes: #644649
  * Changed ifdef so it is conditional on GLIBC and not Linux Closes:
    #644592

 -- Craig Small <csmall@debian.org>  Wed, 19 Oct 2011 06:38:33 +1100

mudlet (2.0-rc11-1) unstable; urgency=low

  * New upstream release
  * Updated to standard version 3.9.2 - no change
  * Updated to debhelper 8

 -- Craig Small <csmall@debian.org>  Mon, 22 Aug 2011 09:09:26 +1000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,14 @@
 Section: games
 Priority: extra
 Maintainer: Craig Small <csmall@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), pkg-config, qt4-qmake, zlib1g-dev, libboost-dev, libluajit-5.1-dev, libyajl-dev, libpcre3-dev, libqt4-opengl-dev, libqt4-dev, libhunspell-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9.0), pkg-config,
+               libpcre3-dev, zlib1g-dev, libboost-dev, libyajl-dev,
+               libhunspell-dev, libphonon-dev,
+               qt4-qmake, libqt4-opengl-dev, libqt4-dev,
+               liblua5.1-dev
+Standards-Version: 3.9.3
+Vcs-Git: git://git.debian.org/collab-maint/mudlet.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/mudlet.git;a=summary
 Homepage: http://www.mudlet.org/
 
 Package: mudlet

=== debian/rules ===
--- 
+++ 
@@ -25,9 +25,6 @@
 override_dh_auto_build:
 	make -C src
 
-override_dh_installchangelogs:
-	dh_installchangelogs src/changelog.txt
-
 override_dh_install:
 	dh_install
 	chmod a-x debian/mudlet/usr/share/games/mudlet/lua/*.lua

## mudlet 2.1

=== src/CMakeLists.txt ===
project (mudlet)

CMAKE_MINIMUM_REQUIRED (VERSION 2.6)

SET(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../cmake ${CMAKE_MODULE_PATH})
SET(QT_MIN_VERSION "4.4.0") # we need at least version 4.4 of Qt now
SET(QT_USE_QTNETWORK 1)
SET(QT_USE_QOPENGL 1)
SET(QT_USE_PHONON 1)
SET(QT_USE_OPENGL 1)
SET(CMAKE_CONFIGURATION_TYPES "Release" "Debug")
SET(mudlet_RCCS mudlet_alpha.qrc)
SET( mudlet_SRCS 
TConsole.cpp
    ctelnet.cpp
    main.cpp
    Host.cpp
    HostManager.cpp
    HostPool.cpp
    dlgConnectionProfiles.cpp
    dlgTriggerEditor.cpp
    TTrigger.cpp
    TriggerUnit.cpp
    TLuaInterpreter.cpp
    dlgTriggersMainArea.cpp
    dlgOptionsAreaTriggers.cpp
    dlgOptionsAreaTimers.cpp
    dlgOptionsAreaScripts.cpp
    TCommandLine.cpp
    TTreeWidget.cpp
    TTreeWidgetItem.cpp
    TTimer.cpp
    TScript.cpp
    TAlias.cpp
    dlgTimersMainArea.cpp
    dlgSystemMessageArea.cpp
    dlgSourceEditorArea.cpp
    TimerUnit.cpp
    ScriptUnit.cpp
    AliasUnit.cpp
    dlgScriptsMainArea.cpp
    dlgAliasMainArea.cpp
    dlgOptionsAreaAlias.cpp
    dlgSearchArea.cpp
    TAction.cpp
    ActionUnit.cpp
    dlgActionMainArea.cpp
    dlgOptionsAreaAction.cpp
    EAction.cpp
    dlgAboutDialog.cpp
    TDebug.cpp
    dlgKeysMainArea.cpp
    TKey.cpp
    KeyUnit.cpp
    dlgProfilePreferences.cpp
    TTextEdit.cpp
    XMLexport.cpp
    XMLimport.cpp
    FontManager.cpp
    TFlipButton.cpp
    TToolBar.cpp
    TLabel.cpp
    TEasyButtonBar.cpp
    TForkedProcess.cpp
    dlgColorTrigger.cpp
    dlgTriggerPatternEdit.cpp
    TSplitter.cpp
    TSplitterHandle.cpp
    mudlet.cpp
    dlgNotepad.cpp
    THighlighter.cpp
    dlgComposer.cpp
    TArea.cpp
    glwidget.cpp
    dlgMapper.cpp
    TRoom.cpp
    TMap.cpp
    TBuffer.cpp
    T2DMap.cpp
    dlgRoomExits.cpp
	lua_yajl.c
	dlgIrc.cpp
)

SET(mudlet_UIS 
ui/connection_profiles.ui
    ui/main_window.ui
    ui/trigger_editor.ui
    ui/options_area_triggers.ui
    ui/options_area_timers.ui
    ui/options_area_aliases.ui
    ui/options_area_scripts.ui
    ui/triggers_main_area.ui
    ui/scripts_main_area.ui
    ui/aliases_main_area.ui
    ui/system_message_area.ui
    ui/source_editor_area.ui
    ui/extended_search_area.ui
    ui/actions_main_area.ui
    ui/options_area_actions.ui
    ui/timers_main_area.ui
    ui/about_dialog.ui
    ui/keybindings_main_area.ui
    ui/color_trigger.ui
    ui/notes_editor.ui
    ui/trigger_pattern_edit.ui
    ui/composer.ui
    ui/mapper.ui
    ui/profile_preferences.ui
    ui/mapper_room_color.ui
    ui/room_exits.ui
    ui/lacking_mapper_script.ui
)

SET(mudlet_MOC_HDRS 
mudlet.h
    TTimer.h
    EAction.h
    TConsole.h
    ctelnet.h
    Host.h
    TMap.h
    TAStar.h
    HostManager.h
    HostPool.h
    dlgConnectionProfiles.h
    dlgTriggerEditor.h
    TTrigger.h
    TLuaInterpreter.h
    dlgTriggers_main_area.h
    dlgOptionsAreaTriggers.h
    dlgTriggerPatternEdit.h
    TCommandLine.h
    TTreeWidget.h
    TTreeWidgetItem.h
    TScript.h
    TAlias.h
    dlgTimersMainArea.h
    dlgSourceEditorArea.h
    dlgSystemMessageArea.h
    TimerUnit.h
    ScriptUnit.h
    AliasUnit.h
    dlgScriptsMainArea.h
    dlgAliasMainArea.h
    dlgOptionsAreaAlias.h
    dlgOptionsAreaScripts.h
    dlgOptionsAreaTimers.h
    dlgSearchArea.h
    TAction.h
    ActionUnit.h
    dlgActionMainArea.h
    dlgOptionsAreaAction.h
    dlgAboutDialog.h
    TMatchState.h
    TEvent.h
    TDebug.h
    dlgKeysMainArea.h
    TKey.h
    KeyUnit.h
    dlgProfilePreferences.h
    TTextEdit.h
    TFlipButton.h
    TToolBar.h
    TBuffer.h
    TriggerUnit.h
    TLabel.h
    TEasyButtonBar.h
    TForkedProcess.h
    dlgColorTrigger.h
    TSplitter.h
    TSplitterHandle.h
    dlgNotepad.h
    THighlighter.h
    dlgComposer.h
    TRoom.h
    TArea.h
    TMap.h
    glwidget.h
    dlgMapper.h
    Tree.h
    T2DMap.h
    dlgRoomExits.h
	dlgIrc.h
)

FIND_PACKAGE(Qt4 REQUIRED)
#FIND_PACKAGE(Lua51 REQUIRED)
#FIND_PACKAGE(ZLIB REQUIRED)
#FIND_PACKAGE(PCRE REQUIRED)


INCLUDE(../MudletCPack.cmake) # Use CPack
INCLUDE(${QT_USE_FILE})
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${mudlet_BINARY_DIR} 
"C:\\mudlet_package_MSVC\\pcre-8.0-lib\\include" 
"C:\\mudlet_package_MSVC\\Lua_src\\include" 
"C:\\mudlet_package_MSVC\\zlib-1.2.5"
"c:\\mudlet_package_MSVC\\boost_1_45_0"
"c:\\mudlet_package_MSVC\\pcre-8.0-lib\\include"
"C:\\mudlet_package_MSVC\\hunspell-1.3.1\\src"
"C:\\mudlet_package_MSVC\\lloyd-yajl-f4b2b1a\\yajl-2.0.1\\include"
"C:\\mudlet_package_MSVC\\libircclient-qt-0.5.0\\include"
)

IF(CMAKE_COMPILER_IS_GNUCXX)
  ADD_DEFINITIONS(${CMAKE_CXX_FLAGS} "-Wno-deprecated  -DUNICODE  -D_UNICODE")
ENDIF(CMAKE_COMPILER_IS_GNUCXX)

QT4_AUTOMOC(${mudlet_SRCS})
QT4_WRAP_UI(mudlet_UIS_H ${mudlet_UIS})
QT4_WRAP_CPP(mudlet_MOC_SRCS ${mudlet_MOC_HDRS})
QT4_ADD_RESOURCES(mudlet_RCC_SRCS ${mudlet_RCCS})

add_executable(mudlet WIN32 ${mudlet_SRCS} ${mudlet_UIS_H} ${mudlet_MOC_SRCS} ${mudlet_RCC_SRCS})

TARGET_LINK_LIBRARIES( 
mudlet 
c:\\Qt_VC\\4.7.3\\lib\\qtmain.lib
C:\\Qt_VC\\4.7.3\\lib\\QtOpenGL4.lib
C:\\Qt_VC\\4.7.3\\lib\\QtCore4.lib
C:\\Qt_VC\\4.7.3\\lib\\QtGui4.lib
C:\\Qt_VC\\4.7.3\\lib\\QtNetwork4.lib
C:\\Qt_VC\\4.7.3\\lib\\QtUiTools.lib
C:\\Qt_VC\\4.7.3\\lib\\phonon4.lib
c:\\mudlet_package_MSVC\\zlib_125\\zlibwapi.lib
C:\\mudlet_package_MSVC\\Lua_src\\lib\\lua51.lib
C:\\mudlet_package_MSVC\\pcre-8.12\\Release\\pcre.lib
C:\\mudlet_package_MSVC\\hunspell-1.3.1\\src\\win_api\\Release_dll\\libhunspell\\libhunspell.lib
"C:\\Program Files (x86)\\Microsoft SDKs\\Windows\\v7.0A\\Lib\\OpenGL32.Lib"
"C:\\Program Files (x86)\\Microsoft SDKs\\Windows\\v7.0A\\Lib\\GlU32.Lib"
"C:\\Users\\heiko\\Desktop\\lloyd-yajl-f4b2b1a\\yajl-2.0.1\\lib\\Release\\yajl.lib"
"C:\\mudlet_package_MSVC\\libircclient-qt-0.5.0\\lib\\ircclient-qt.lib"
)

install( PROGRAMS mudlet DESTINATION "/usr/local/bin" )
install( FILES LuaGlobal.lua mudlet_documentation.html fonts/ttf-bitstream-vera-1.10/COPYRIGHT.TXT fonts/ttf-bitstream-vera-1.10/local.conf fonts/ttf-bitstream-vera-1.10/README.TXT fonts/ttf-bitstream-vera-1.10/RELEASENOTES.TXT fonts/ttf-bitstream-vera-1.10/VeraBd.ttf fonts/ttf-bitstream-vera-1.10/VeraBI.ttf fonts/ttf-bitstream-vera-1.10/VeraIt.ttf fonts/ttf-bitstream-vera-1.10/VeraMoBd.ttf fonts/ttf-bitstream-vera-1.10/VeraMoBI.ttf fonts/ttf-bitstream-vera-1.10/VeraMoIt.ttf fonts/ttf-bitstream-vera-1.10/VeraMono.ttf fonts/ttf-bitstream-vera-1.10/VeraSeBd.ttf fonts/ttf-bitstream-vera-1.10/VeraSe.ttf fonts/ttf-bitstream-vera-1.10/Vera.ttf DESTINATION "/usr/local/share/mudlet" )

=== src/quazip/quazip-0.4.4/CMakeLists.txt ===
project (QuaZip)
cmake_minimum_required(VERSION 2.6)

set(qt_min_version "4.5.0")
find_package(Qt4 REQUIRED)
set(QT_USE_QTGUI false)
include(${QT_USE_FILE})

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
set(LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Library directory name" FORCE)

include_directories(${CMAKE_SOURCE_DIR})
add_subdirectory(quazip)

install(FILES FindQuaZip.cmake DESTINATION ${CMAKE_ROOT}/Modules)

=== src/quazip/quazip-0.4.4/quazip/CMakeLists.txt ===
file(GLOB SRCS "*.c" "*.cpp")
file(GLOB PUBLIC_HEADERS "*.h")
qt4_wrap_cpp(MOC_SRCS ${PUBLIC_HEADERS})
set(SRCS ${SRCS} ${MOC_SRCS})

add_library(quazip SHARED ${SRCS})
set_target_properties(quazip PROPERTIES VERSION 1 SOVERSION 1.0.0)
target_link_libraries(quazip ${QT_QTMAIN_LIBRARY} ${QT_QTCORE_LIBRARY} -lz)

install(FILES ${PUBLIC_HEADERS} DESTINATION include/quazip)
install(TARGETS quazip LIBRARY DESTINATION ${LIB_DESTINATION} ARCHIVE DESTINATION ${LIB_DESTINATION} RUNTIME DESTINATION ${LIB_DESTINATION})

=== debian/changelog ===
mudlet (1:2.1-2build2) xenial; urgency=medium

  * No-change rebuild for hunspell library renaming.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Apr 2016 13:25:29 +0000

mudlet (1:2.1-2build1) wily; urgency=medium

  * No-change rebuild against libhunspell-1.3-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 19:42:37 +0000

mudlet (1:2.1-2) unstable; urgency=low

  * Updated to standards 3.9.4
  * Fixed lua related dependencies Closes: #723766

 -- Craig Small <csmall@debian.org>  Sun, 22 Sep 2013 22:32:33 +1000

mudlet (1:2.1-1) unstable; urgency=low

  * New upstream release
    - open telnet support for extending mud protocols
    - new mud: slothmud
    - mapper has doors and door weights
  * GeyserSetConstraints protected against locale problems Closes:
    #626404

 -- Craig Small <csmall@debian.org>  Fri, 18 Jan 2013 18:02:31 +1100

mudlet (1:2.0-1) unstable; urgency=low

  * New upstream release
  * Require epoch otherwise RC appear newer
  * Fixed locale-related problem with startup scripts Closes: #646404

 -- Craig Small <csmall@debian.org>  Tue, 01 Jan 2013 16:09:15 +1100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: mudlet
 Section: games
 Priority: extra
-Maintainer: Craig Small <csmall@debian.org>
-Build-Depends: debhelper (>= 9.0), pkg-config,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Craig Small <csmall@debian.org>
+Build-Depends: debhelper (>= 9), pkg-config,
                libpcre3-dev, zlib1g-dev, libboost-dev, libyajl-dev,
                libhunspell-dev, libphonon-dev,
                qt4-qmake, libqt4-opengl-dev, libqt4-dev,
                liblua5.1-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/collab-maint/mudlet.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/mudlet.git;a=summary
 Homepage: http://www.mudlet.org/
 
 Package: mudlet
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, liblua5.1-rex-pcre0, liblua5.1-sql-sqlite3-2
+Depends: ${shlibs:Depends}, ${misc:Depends}, lua5.1-rex-pcre, lua5.1-sql-sqlite3
 Suggests: hunspell-en-us
 Description: Graphical MUD client with fast lua scripting support
  A completely redesigned MUD (Multi User Dungeon) client that is easy to

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,13 @@
 	[ ! -f src/Makefile ] || $(MAKE) -C src distclean
 
 override_dh_auto_configure:
-	cd src ; qmake
+	cd src && qmake \
+		QMAKE_CFLAGS_RELEASE="$(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS)" \
+		QMAKE_CFLAGS_DEBUG="$(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS)" \
+		QMAKE_CXXFLAGS_RELEASE="$(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS)" \
+		QMAKE_CXXFLAGS_DEBUG="$(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS)" \
+		QMAKE_LFLAGS_RELEASE="$(shell dpkg-buildflags --get LDFLAGS)"  \
+		QMAKE_LFLAGS_DEBUG="$(shell dpkg-buildflags --get LDFLAGS)" 
 
 override_dh_auto_build:
 	make -C src

## mudlet 3.0.0~delta

=== CMakeLists.txt ===
############################################################################
#    Copyright (C) 2014 by Ahmed Charles - acharles@outlook.com            #
#                                                                          #
#    This program is free software; you can redistribute it and/or modify  #
#    it under the terms of the GNU General Public License as published by  #
#    the Free Software Foundation; either version 2 of the License, or     #
#    (at your option) any later version.                                   #
#                                                                          #
#    This program is distributed in the hope that it will be useful,       #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#    GNU General Public License for more details.                          #
#                                                                          #
#    You should have received a copy of the GNU General Public License     #
#    along with this program; if not, write to the                         #
#    Free Software Foundation, Inc.,                                       #
#    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             #
############################################################################

PROJECT(mudlet)

IF(MSVC)
  CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)
ELSE()
  CMAKE_MINIMUM_REQUIRED(VERSION 2.8.9)
ENDIF()

IF(POLICY CMP0020)
  CMAKE_POLICY(SET CMP0020 NEW)
ENDIF()

IF(WIN32)
    SET(APP_TARGET mudlet.exe)
ELSEIF(APPLE)
    SET(APP_TARGET Mudlet)
ELSE()
    SET(APP_TARGET mudlet)
ENDIF()

SET(APP_VERSION 3.0.0)
SET(APP_BUILD "-beta")
# APP_BUILD should only be empty/null in official "release" builds,
# developers may like to set it to their user and branch names to make it easier
# to tell different builds apart!
#
# Changing the above pair of values affects: ctelnet.cpp, main.cpp, mudlet.cpp
# dlgAboutDialog.cpp and TLuaInterpreter.cpp.  It will not necessarily cause
# those files to be automatically rebuilt so you may need to 'touch' those files if
# the variables are changed and you are not doing a full, clean, rebuild!
# Use APP_VERSION, APP_BUILD and APP_TARGET defines in the source code if needed.
# IMPORTANT:
# To insure consistency please ensure the SAME of the first two values are also
# assigned to the "VERSION" and "BUILD" variables in the native qmake project file,
# i.e. ./src/src.pro

ADD_SUBDIRECTORY(src)

=== src/CMakeLists.txt ===
############################################################################
#    Copyright (C) 2014 by Ahmed Charles - acharles@outlook.com            #
#                                                                          #
#    This program is free software; you can redistribute it and/or modify  #
#    it under the terms of the GNU General Public License as published by  #
#    the Free Software Foundation; either version 2 of the License, or     #
#    (at your option) any later version.                                   #
#                                                                          #
#    This program is distributed in the hope that it will be useful,       #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#    GNU General Public License for more details.                          #
#                                                                          #
#    You should have received a copy of the GNU General Public License     #
#    along with this program; if not, write to the                         #
#    Free Software Foundation, Inc.,                                       #
#    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             #
############################################################################

SET(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../cmake ${CMAKE_MODULE_PATH})

SET(mudlet_RCCS mudlet_alpha.qrc)

SET(mudlet_SRCS
    ActionUnit.cpp
    AliasUnit.cpp
    ctelnet.cpp
    dlgAboutDialog.cpp
    dlgActionMainArea.cpp
    dlgAliasMainArea.cpp
    dlgColorTrigger.cpp
    dlgComposer.cpp
    dlgConnectionProfiles.cpp
    dlgIRC.cpp
    dlgKeysMainArea.cpp
    dlgMapper.cpp
    dlgNotepad.cpp
    dlgOptionsAreaAction.cpp
    dlgOptionsAreaAlias.cpp
    dlgOptionsAreaScripts.cpp
    dlgOptionsAreaTimers.cpp
    dlgOptionsAreaTriggers.cpp
    dlgPackageExporter.cpp
    dlgProfilePreferences.cpp
    dlgRoomExits.cpp
    dlgScriptsMainArea.cpp
    dlgSearchArea.cpp
    dlgSourceEditorArea.cpp
    dlgSystemMessageArea.cpp
    dlgTimersMainArea.cpp
    dlgTriggerEditor.cpp
    dlgTriggerPatternEdit.cpp
    dlgTriggersMainArea.cpp
    dlgVarsMainArea.cpp
    EAction.cpp
    exitstreewidget.cpp
    FontManager.cpp
    glwidget.cpp
    Host.cpp
    HostManager.cpp
    HostPool.cpp
    KeyUnit.cpp
    LuaInterface.cpp
    main.cpp
    mudlet.cpp
    ScriptUnit.cpp
    T2DMap.cpp
    TAction.cpp
    TAlias.cpp
    TArea.cpp
    TBuffer.cpp
    TCommandLine.cpp
    TConsole.cpp
    TDebug.cpp
    TEasyButtonBar.cpp
    TFlipButton.cpp
    TForkedProcess.cpp
    THighlighter.cpp
    TimerUnit.cpp
    TKey.cpp
    TLabel.cpp
    TLuaInterpreter.cpp
    TMap.cpp
    TriggerUnit.cpp
    TRoom.cpp
    TRoomDB.cpp
    TScript.cpp
    TSplitter.cpp
    TSplitterHandle.cpp
    TTextEdit.cpp
    TTimer.cpp
    TToolBar.cpp
    TTreeWidget.cpp
    TTreeWidgetItem.cpp
    TTrigger.cpp
    TVar.cpp
    VarUnit.cpp
    XMLexport.cpp
    XMLimport.cpp
)

# This is for compiled UI files, not those used at runtime though the resource file.
SET(mudlet_UIS
    ui/about_dialog.ui
    ui/actions_main_area.ui
    ui/aliases_main_area.ui
    ui/color_trigger.ui
    ui/composer.ui
    ui/connection_profiles.ui
    ui/dlgPackageExporter.ui
    ui/extended_search_area.ui
    ui/irc.ui
    ui/keybindings_main_area.ui
    ui/main_window.ui
    ui/mapper.ui
    ui/notes_editor.ui
    ui/options_area_actions.ui
    ui/options_area_aliases.ui
    ui/options_area_scripts.ui
    ui/options_area_timers.ui
    ui/options_area_triggers.ui
    ui/profile_preferences.ui
    ui/room_exits.ui
    ui/scripts_main_area.ui
    ui/source_editor_area.ui
    ui/system_message_area.ui
    ui/timers_main_area.ui
    ui/triggers_main_area.ui
    ui/trigger_editor.ui
    ui/trigger_pattern_edit.ui
    ui/vars_main_area.ui
)

SET(mudlet_MOC_HDRS 
    ctelnet.h
    dlgAboutDialog.h
    dlgActionMainArea.h
    dlgAliasMainArea.h
    dlgColorTrigger.h
    dlgComposer.h
    dlgConnectionProfiles.h
    dlgIRC.h
    dlgKeysMainArea.h
    dlgMapper.h
    dlgNotepad.h
    dlgOptionsAreaAction.h
    dlgOptionsAreaAlias.h
    dlgOptionsAreaScripts.h
    dlgOptionsAreaTimers.h
    dlgOptionsAreaTriggers.h
    dlgPackageExporter.h
    dlgProfilePreferences.h
    dlgRoomExits.h
    dlgScriptsMainArea.h
    dlgSearchArea.h
    dlgSourceEditorArea.h
    dlgSystemMessageArea.h
    dlgTimersMainArea.h
    dlgTriggerEditor.h
    dlgTriggerPatternEdit.h
    dlgTriggersMainArea.h
    dlgVarsMainArea.h
    EAction.h
    exitstreewidget.h
    glwidget.h
    mudlet.h
    T2DMap.h
    TCommandLine.h
    TConsole.h
    TEasyButtonBar.h
    TForkedProcess.h
    THighlighter.h
    TLabel.h
    TLuaInterpreter.h
    TSplitter.h
    TTextEdit.h
    TToolBar.h
    TTreeWidget.h
)

SET(mudlet_HDRS
    ActionUnit.h
    AliasUnit.h
    FontManager.h
    Host.h
    HostManager.h
    HostPool.h
    KeyUnit.h
    LuaInterface.h
    pre_guard.h
    post_guard.h
    ScriptUnit.h
    TAction.h
    TAlias.h
    TArea.h
    TAstar.h
    TBuffer.h
    TDebug.h
    TEvent.h
    TFlipButton.h
    TimerUnit.h
    TKey.h
    TMap.h
    TMatchState.h
    Tree.h
    TriggerUnit.h
    TRoom.h
    TRoomDB.h
    TScript.h
    TSplitterHandle.h
    TTimer.h
    TTreeWidgetItem.h
    TTrigger.h
    TVar.h
    VarUnit.h
    XMLexport.h
    XMLimport.h
)

IF(MSVC)
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -MP") # parallel builds
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -wd4305") # '=' : truncation from 'double' to 'float'
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -wd4309") # 'initializing' : truncation of constant value
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -wd4996") # deprecation
ELSE(MSVC)
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated")
ENDIF(MSVC)

SET(PCRE_DIR "${PROJECT_SOURCE_DIR}/.." CACHE PATH "PCRE install directory.")

SET(YAJL_DIR "${PROJECT_SOURCE_DIR}/.." CACHE PATH "YAJL install directory.")

SET(HUNSPELL_DIR "${PROJECT_SOURCE_DIR}/.." CACHE PATH "HUNSPELL install directory.")

SET(ZIP_DIR "${PROJECT_SOURCE_DIR}/.." CACHE PATH "ZIP install directory.")

IF(EXISTS "${PROJECT_SOURCE_DIR}/../include/lua.h")
  SET(LUA_INCLUDE_DIR_TEMP "${PROJECT_SOURCE_DIR}/../include")
  GET_FILENAME_COMPONENT(LUA_INCLUDE_DIR ${LUA_INCLUDE_DIR_TEMP} ABSOLUTE CACHE)
  IF(EXISTS "${PROJECT_SOURCE_DIR}/../lib/lualib.lib")
    SET(LUA_LIBRARY_RELEASE_TEMP "${PROJECT_SOURCE_DIR}/../lib/lualib.lib")
    GET_FILENAME_COMPONENT(LUA_LIBRARY_RELEASE ${LUA_LIBRARY_RELEASE_TEMP} ABSOLUTE CACHE)
  ENDIF()
  IF(EXISTS "${PROJECT_SOURCE_DIR}/../lib/lualibd.lib")
    SET(LUA_LIBRARY_DEBUG_TEMP "${PROJECT_SOURCE_DIR}/../lib/lualibd.lib")
    GET_FILENAME_COMPONENT(LUA_LIBRARY_DEBUG ${LUA_LIBRARY_DEBUG_TEMP} ABSOLUTE CACHE)
  ENDIF()
  IF(LUA_LIBRARY_DEBUG AND LUA_LIBRARY_RELEASE)
    SET(LUA_LIBRARY optimized ${LUA_LIBRARY_RELEASE} debug ${LUA_LIBRARY_DEBUG} )
  ELSEIF(LUA_LIBRARY_RELEASE)
    SET(LUA_LIBRARY ${LUA_LIBRARY_RELEASE} )
  ELSEIF(LUA_LIBRARY_DEBUG)
    SET(LUA_LIBRARY ${LUA_LIBRARY_DEBUG} )
  ENDIF()
ENDIF()

IF(EXISTS "${PROJECT_SOURCE_DIR}/../include/zlib.h")
  SET(ZLIB_INCLUDE_DIR_TEMP "${PROJECT_SOURCE_DIR}/../include")
  GET_FILENAME_COMPONENT(ZLIB_INCLUDE_DIR ${ZLIB_INCLUDE_DIR_TEMP} ABSOLUTE CACHE)
  SET(ZLIB_ROOT "${PROJECT_SOURCE_DIR}/..")
  IF(EXISTS "${PROJECT_SOURCE_DIR}/../lib/zlibstat.lib")
    SET(ZLIB_LIBRARY_RELEASE_TEMP "${PROJECT_SOURCE_DIR}/../lib/zlibstat.lib")
    GET_FILENAME_COMPONENT(ZLIB_LIBRARY_RELEASE ${ZLIB_LIBRARY_RELEASE_TEMP} ABSOLUTE CACHE)
  ENDIF()
  IF(EXISTS "${PROJECT_SOURCE_DIR}/../lib/zlibstatd.lib")
    SET(ZLIB_LIBRARY_DEBUG_TEMP "${PROJECT_SOURCE_DIR}/../lib/zlibstatd.lib")
    GET_FILENAME_COMPONENT(ZLIB_LIBRARY_DEBUG ${ZLIB_LIBRARY_DEBUG_TEMP} ABSOLUTE CACHE)
  ENDIF()
  IF(ZLIB_LIBRARY_DEBUG AND ZLIB_LIBRARY_RELEASE)
    SET(ZLIB_LIBRARY optimized ${ZLIB_LIBRARY_RELEASE} debug ${ZLIB_LIBRARY_DEBUG} )
  ELSEIF(ZLIB_LIBRARY_RELEASE)
    SET(ZLIB_LIBRARY ${ZLIB_LIBRARY_RELEASE} )
  ELSEIF(ZLIB_LIBRARY_DEBUG)
    SET(ZLIB_LIBRARY ${ZLIB_LIBRARY_DEBUG} )
  ENDIF()
ENDIF()

FIND_PACKAGE(Qt5Core REQUIRED)
FIND_PACKAGE(Qt5Multimedia REQUIRED)
FIND_PACKAGE(Qt5Network REQUIRED)
FIND_PACKAGE(Qt5OpenGL REQUIRED)
FIND_PACKAGE(Qt5UiTools REQUIRED)
FIND_PACKAGE(Qt5Widgets REQUIRED)

FIND_PACKAGE(OpenGL REQUIRED)
FIND_PACKAGE(Lua51 REQUIRED)
FIND_PACKAGE(ZLIB REQUIRED)
FIND_PACKAGE(PCRE REQUIRED)
FIND_PACKAGE(YAJL REQUIRED)
FIND_PACKAGE(HUNSPELL REQUIRED)
FIND_PACKAGE(ZIP REQUIRED)

SET(Boost_USE_STATIC_LIBS ON)
FIND_PACKAGE(Boost 1.44 COMPONENTS graph)

SET(LUA_CPP OFF CACHE BOOL "Lua is compiled as C++ rather than C")

IF(LUA_CPP)
  ADD_DEFINITIONS(-DLUA_CPP)
  SET(mudlet_SRCS ${mudlet_SRCS} lua_yajl.cpp)
ELSE(LUA_CPP)
  SET(mudlet_SRCS ${mudlet_SRCS} lua_yajl.c)
ENDIF(LUA_CPP)

ADD_SUBDIRECTORY(irc)

ADD_DEFINITIONS(-DAPP_VERSION="${APP_VERSION}" -DAPP_BUILD="${APP_BUILD}" -DAPP_TARGET="${APP_TARGET}")

SET(CMAKE_INCLUDE_CURRENT_DIR ON)
INCLUDE_DIRECTORIES(
    ${Qt5Core_INCLUDE_DIRS}
    ${Qt5Widgets_INCLUDE_DIRS}
    ${Qt5Network_INCLUDE_DIRS}
    ${Qt5OpenGL_INCLUDE_DIRS}
    ${Qt5Multimedia_INCLUDE_DIRS}
    ${Qt5UiTools_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
    ${CMAKE_CURRENT_SOURCE_DIR}/irc/include
    ${HUNSPELL_INCLUDE_DIR}
    ${LUA_INCLUDE_DIR}
    ${PCRE_INCLUDE_DIR}
    ${YAJL_INCLUDE_DIR}
    ${ZIP_INCLUDE_DIR}
    ${ZLIB_INCLUDE_DIR}
)

QT5_WRAP_UI(mudlet_UIS_H ${mudlet_UIS})
QT5_WRAP_CPP(mudlet_MOC_SRCS ${mudlet_MOC_HDRS})
QT5_ADD_RESOURCES(mudlet_RCC_SRCS ${mudlet_RCCS})

ADD_EXECUTABLE(mudlet WIN32
    ${mudlet_SRCS}
    ${mudlet_MOC_SRCS}
    ${mudlet_RCC_SRCS}
    ${mudlet_HDRS}
    ${mudlet_UIS_H}
    ${mudlet_MOC_HDRS}
)

TARGET_LINK_LIBRARIES(mudlet
    ${Qt5Core_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${Qt5Network_LIBRARIES}
    ${Qt5Multimedia_LIBRARIES}
    ${Qt5OpenGL_LIBRARIES}
    ${Qt5UiTools_LIBRARIES}
    ${Boost_LIBRARIES}
    ${HUNSPELL_LIBRARIES}
    ${LUA_LIBRARIES}
    ${OPENGL_LIBRARIES}
    ${PCRE_LIBRARIES}
    ${YAJL_LIBRARIES}
    ${ZIP_LIBRARIES}
    ${ZLIB_LIBRARIES}
    irccqt
)

=== debian/changelog ===
mudlet (1:3.0.0~delta-2build1) yakkety; urgency=medium

  * Rebuild against libhunspell-1.4-0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 May 2016 10:41:18 +0200

mudlet (1:3.0.0~delta-2) unstable; urgency=medium

  * Bring 3.0.0 into sid
  * Fixup copyright file
  * Update VCS links in control

 -- Craig Small <csmall@debian.org>  Wed, 13 Apr 2016 22:40:14 +1000

mudlet (1:3.0.0~delta-1) experimental; urgency=medium

  * New upstream release
    - Fixes data corruption issue
  * Added menu item Closes: #737973

 -- Craig Small <csmall@debian.org>  Sun, 25 Jan 2015 09:11:43 +1100

mudlet (1:3.0.0~beta1-1) experimental; urgency=medium

  * New upstream beta release
  * Fixed typo in description Closes: #749858

 -- Craig Small <csmall@debian.org>  Mon, 22 Dec 2014 12:48:39 +1100

=== debian/control ===
Source: mudlet
Section: games
Priority: extra
Maintainer: Craig Small <csmall@debian.org>
Build-Depends: debhelper (>= 9), pkg-config,
               libpcre3-dev, zlib1g-dev, libboost-dev, libyajl-dev,
               libhunspell-dev,
               qtbase5-dev, qt5-qmake, qttools5-dev, qtmultimedia5-dev,
               libqt5opengl5-dev,
               liblua5.1-dev, libzip-dev
Standards-Version: 3.9.7
Vcs-Git: git://anonscm.debian.org/collab-maint/mudlet.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mudlet.git
Homepage: http://www.mudlet.org/

Package: mudlet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lua5.1-rex-pcre, lua5.1-sql-sqlite3
Suggests: hunspell-en-us
Description: Graphical MUD client with fast lua scripting support
 A completely redesigned MUD (Multi User Dungeon) client that is easy to
 use and customise.  Both power users and plain gamers alike will feel at
 home with Mudlet, without having to waste too much timer figuring out
 how to do something.
 . 
 Mudlet is designed to be very fast and efficient right from the start.
 Its scripting engine is designed to handle thousands of lines under
 one second. The scripting framework uses Lua - a small, fast and
 efficient scripting language.

## mudlet 3.0.0~epsilon

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 ############################################################################
 #    Copyright (C) 2014 by Ahmed Charles - acharles@outlook.com            #
+#    Copyright (C) 2015-2016 by Stephen Lyons - slysven@virginmedia.com    #
 #                                                                          #
 #    This program is free software; you can redistribute it and/or modify  #
 #    it under the terms of the GNU General Public License as published by  #
@@ -19,6 +20,7 @@
 
 PROJECT(mudlet)
 
+# Windows builds need 2.8.11, but for other platforms 2.8.9 should be enough
 IF(MSVC)
   CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)
 ELSE()
@@ -38,7 +40,7 @@
 ENDIF()
 
 SET(APP_VERSION 3.0.0)
-SET(APP_BUILD "-beta")
+SET(APP_BUILD "-epsilon")
 # APP_BUILD should only be empty/null in official "release" builds,
 # developers may like to set it to their user and branch names to make it easier
 # to tell different builds apart!

=== debian/changelog ===
mudlet (1:3.0.0~epsilon-1) unstable; urgency=medium

  * New upstream release
  * cherry-pick patch to fix profile name crash

 -- Craig Small <csmall@debian.org>  Sat, 22 Oct 2016 09:24:14 +1100

mudlet (1:3.0.0~delta-3) unstable; urgency=medium

  * Remove arm from the builds Closes: #825354
  * Update to standards 3.9.8

 -- Craig Small <csmall@debian.org>  Tue, 31 May 2016 21:03:18 +1000

## mudlet 3.0.0~rc6zeta

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 ENDIF()
 
 SET(APP_VERSION 3.0.0)
-SET(APP_BUILD "-epsilon")
+SET(APP_BUILD "-zeta")
 # APP_BUILD should only be empty/null in official "release" builds,
 # developers may like to set it to their user and branch names to make it easier
 # to tell different builds apart!

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 ############################################################################
 #    Copyright (C) 2014 by Ahmed Charles - acharles@outlook.com            #
+#    Copyright (C) 2015 by Stephen Lyons - slysven@virginmedia.com         #
 #                                                                          #
 #    This program is free software; you can redistribute it and/or modify  #
 #    it under the terms of the GNU General Public License as published by  #
@@ -172,6 +173,7 @@
     THighlighter.h
     TLabel.h
     TLuaInterpreter.h
+    TMap.h
     TSplitter.h
     TTextEdit.h
     TToolBar.h
@@ -200,7 +202,6 @@
     TFlipButton.h
     TimerUnit.h
     TKey.h
-    TMap.h
     TMatchState.h
     Tree.h
     TriggerUnit.h
@@ -255,103 +256,93 @@
   ENDIF()
 ENDIF()
 
-IF(EXISTS "${PROJECT_SOURCE_DIR}/../include/zlib.h")
-  SET(ZLIB_INCLUDE_DIR_TEMP "${PROJECT_SOURCE_DIR}/../include")
-  GET_FILENAME_COMPONENT(ZLIB_INCLUDE_DIR ${ZLIB_INCLUDE_DIR_TEMP} ABSOLUTE CACHE)
-  SET(ZLIB_ROOT "${PROJECT_SOURCE_DIR}/..")
-  IF(EXISTS "${PROJECT_SOURCE_DIR}/../lib/zlibstat.lib")
-    SET(ZLIB_LIBRARY_RELEASE_TEMP "${PROJECT_SOURCE_DIR}/../lib/zlibstat.lib")
-    GET_FILENAME_COMPONENT(ZLIB_LIBRARY_RELEASE ${ZLIB_LIBRARY_RELEASE_TEMP} ABSOLUTE CACHE)
-  ENDIF()
-  IF(EXISTS "${PROJECT_SOURCE_DIR}/../lib/zlibstatd.lib")
-    SET(ZLIB_LIBRARY_DEBUG_TEMP "${PROJECT_SOURCE_DIR}/../lib/zlibstatd.lib")
-    GET_FILENAME_COMPONENT(ZLIB_LIBRARY_DEBUG ${ZLIB_LIBRARY_DEBUG_TEMP} ABSOLUTE CACHE)
-  ENDIF()
-  IF(ZLIB_LIBRARY_DEBUG AND ZLIB_LIBRARY_RELEASE)
-    SET(ZLIB_LIBRARY optimized ${ZLIB_LIBRARY_RELEASE} debug ${ZLIB_LIBRARY_DEBUG} )
-  ELSEIF(ZLIB_LIBRARY_RELEASE)
-    SET(ZLIB_LIBRARY ${ZLIB_LIBRARY_RELEASE} )
-  ELSEIF(ZLIB_LIBRARY_DEBUG)
-    SET(ZLIB_LIBRARY ${ZLIB_LIBRARY_DEBUG} )
-  ENDIF()
-ENDIF()
-
-FIND_PACKAGE(Qt5Core REQUIRED)
-FIND_PACKAGE(Qt5Multimedia REQUIRED)
-FIND_PACKAGE(Qt5Network REQUIRED)
-FIND_PACKAGE(Qt5OpenGL REQUIRED)
-FIND_PACKAGE(Qt5UiTools REQUIRED)
-FIND_PACKAGE(Qt5Widgets REQUIRED)
-
-FIND_PACKAGE(OpenGL REQUIRED)
-FIND_PACKAGE(Lua51 REQUIRED)
-FIND_PACKAGE(ZLIB REQUIRED)
-FIND_PACKAGE(PCRE REQUIRED)
-FIND_PACKAGE(YAJL REQUIRED)
-FIND_PACKAGE(HUNSPELL REQUIRED)
-FIND_PACKAGE(ZIP REQUIRED)
-
-SET(Boost_USE_STATIC_LIBS ON)
-FIND_PACKAGE(Boost 1.44 COMPONENTS graph)
-
-SET(LUA_CPP OFF CACHE BOOL "Lua is compiled as C++ rather than C")
-
-IF(LUA_CPP)
-  ADD_DEFINITIONS(-DLUA_CPP)
-  SET(mudlet_SRCS ${mudlet_SRCS} lua_yajl.cpp)
-ELSE(LUA_CPP)
-  SET(mudlet_SRCS ${mudlet_SRCS} lua_yajl.c)
-ENDIF(LUA_CPP)
-
-ADD_SUBDIRECTORY(irc)
-
-ADD_DEFINITIONS(-DAPP_VERSION="${APP_VERSION}" -DAPP_BUILD="${APP_BUILD}" -DAPP_TARGET="${APP_TARGET}")
-
-SET(CMAKE_INCLUDE_CURRENT_DIR ON)
-INCLUDE_DIRECTORIES(
-    ${Qt5Core_INCLUDE_DIRS}
-    ${Qt5Widgets_INCLUDE_DIRS}
-    ${Qt5Network_INCLUDE_DIRS}
-    ${Qt5OpenGL_INCLUDE_DIRS}
-    ${Qt5Multimedia_INCLUDE_DIRS}
-    ${Qt5UiTools_INCLUDE_DIRS}
-    ${Boost_INCLUDE_DIRS}
-    ${CMAKE_CURRENT_SOURCE_DIR}/irc/include
-    ${HUNSPELL_INCLUDE_DIR}
-    ${LUA_INCLUDE_DIR}
-    ${PCRE_INCLUDE_DIR}
-    ${YAJL_INCLUDE_DIR}
-    ${ZIP_INCLUDE_DIR}
-    ${ZLIB_INCLUDE_DIR}
-)
-
-QT5_WRAP_UI(mudlet_UIS_H ${mudlet_UIS})
-QT5_WRAP_CPP(mudlet_MOC_SRCS ${mudlet_MOC_HDRS})
-QT5_ADD_RESOURCES(mudlet_RCC_SRCS ${mudlet_RCCS})
-
-ADD_EXECUTABLE(mudlet WIN32
-    ${mudlet_SRCS}
-    ${mudlet_MOC_SRCS}
-    ${mudlet_RCC_SRCS}
-    ${mudlet_HDRS}
-    ${mudlet_UIS_H}
-    ${mudlet_MOC_HDRS}
-)
-
-TARGET_LINK_LIBRARIES(mudlet
-    ${Qt5Core_LIBRARIES}
-    ${Qt5Widgets_LIBRARIES}
-    ${Qt5Network_LIBRARIES}
-    ${Qt5Multimedia_LIBRARIES}
-    ${Qt5OpenGL_LIBRARIES}
-    ${Qt5UiTools_LIBRARIES}
-    ${Boost_LIBRARIES}
-    ${HUNSPELL_LIBRARIES}
-    ${LUA_LIBRARIES}
-    ${OPENGL_LIBRARIES}
-    ${PCRE_LIBRARIES}
-    ${YAJL_LIBRARIES}
-    ${ZIP_LIBRARIES}
-    ${ZLIB_LIBRARIES}
-    irccqt
-)
+IF(WIN32)
+  IF(EXISTS "${PROJECT_SOURCE_DIR}/../include/zlib.h")
+    SET(ZLIB_INCLUDE_DIR_TEMP "${PROJECT_SOURCE_DIR}/../include")
+    GET_FILENAME_COMPONENT(ZLIB_INCLUDE_DIR ${ZLIB_INCLUDE_DIR_TEMP} ABSOLUTE CACHE)
+    SET(ZLIB_ROOT "${PROJECT_SOURCE_DIR}/..")
+    IF(EXISTS "${PROJECT_SOURCE_DIR}/../lib/zlibstat.lib")
+      SET(ZLIB_LIBRARY_RELEASE_TEMP "${PROJECT_SOURCE_DIR}/../lib/zlibstat.lib")
+      GET_FILENAME_COMPONENT(ZLIB_LIBRARY_RELEASE ${ZLIB_LIBRARY_RELEASE_TEMP} ABSOLUTE CACHE)
+    ENDIF()
+    IF(EXISTS "${PROJECT_SOURCE_DIR}/../lib/zlibstatd.lib")
+      SET(ZLIB_LIBRARY_DEBUG_TEMP "${PROJECT_SOURCE_DIR}/../lib/zlibstatd.lib")
+      GET_FILENAME_COMPONENT(ZLIB_LIBRARY_DEBUG ${ZLIB_LIBRARY_DEBUG_TEMP} ABSOLUTE CACHE)
+    ENDIF()
+    IF(ZLIB_LIBRARY_DEBUG AND ZLIB_LIBRARY_RELEASE)
+      SET(ZLIB_LIBRARY optimized ${ZLIB_LIBRARY_RELEASE} debug ${ZLIB_LIBRARY_DEBUG} )
+    ELSEIF(ZLIB_LIBRARY_RELEASE)
+      SET(ZLIB_LIBRARY ${ZLIB_LIBRARY_RELEASE} )
+    ELSEIF(ZLIB_LIBRARY_DEBUG)
+      SET(ZLIB_LIBRARY ${ZLIB_LIBRARY_DEBUG} )
+    ENDIF()
+  ENDIF()
+ENDIF()
+
+# Break each step into a separate command so any status message is output straigh away
+IF(APPLE)
+  # The include directory setup for Zip is unusual in that as well as e.g. /usr/include/zip.h
+  # we need the path to an interal header zipconf.g that it calls for using '<''>'s
+  # i.e. SYSTEM #include delimiters which are typically located at e.g. /usr/lib/libzip/include/zipconf.h
+  # and using pkg-config is the recommended way to get the details.
+  # Spotted recommendation to use pkg-config here https://github.com/Homebrew/homebrew/issues/13390
+  FIND_PACKAGE(PkgConfig)
+  IF(NOT(PKG_CONFIG_FOUND))
+    MESSAGE(WARNING "Unable to use pkg_config - will possibly fail to find/use Zip library...")
+  ENDIF()
+ENDIF()
+
+IF((APPLE) AND (PKG_CONFIG_FOUND))
+  PKG_SEARCH_MODULE(PC_ZIP zip libzip)
+  # Use a PC_ prefix to distinguish between what pkg-config finds and a direct use of FIND_PACKAGE(ZIP)
+  # Package "zip" is called "libzip" at least on MY Linux box so look for BOTH
+  IF(PC_ZIP_FOUND)
+    IF(PC_ZIP_zip_FOUND)
+      MESSAGE(STATUS "Using pkg_config, found \"zip\" version: ${PC_ZIP_zip_VERSION} with:")
+    ELSEIF(PC_ZIP_libzip_FOUND)
+      MESSAGE(STATUS "Using pkg_config, found \"libzip\" version: ${PC_ZIP_libzip_VERSION} with:")
+    ELSE()
+      MESSAGE(STATUS "Using pkg_config, found Zip version: ${PC_ZIP_VERSION} with:")
+    ENDIF()
+    MESSAGE(STATUS "  include directory(ies), ZIP_INCLUDE_DIRS: ${PC_ZIP_INCLUDE_DIRS} .")
+    MESSAGE(STATUS "  library(ies): ZIP_LIBRARY_DIRS: ${PC_ZIP_LIBRARY_DIRS}; ZIP_LIBDIR: ${PC_ZIP_LIBDIR}. ")
+  ELSE()
+    MESSAGE(WARNING "Using pkg_config, failed to find any version of Zip library!")
+  ENDIF()
+ENDIF()
+
+IF((APPLE) AND (PKG_CONFIG_FOUND))
+  # Examining Homebrew (for MacOs) for libzzip:
+  # https://bintray.com/homebrew/bottles/libzzip found that they use pkg-config
+  # So use that to try and find what we want
+  PKG_SEARCH_MODULE(PC_ZZIPLIB zziplib libzzip zzip)
+  IF(PC_ZZIPLIB_FOUND)
+    IF(PC_ZZIPLIB_zziplib_FOUND)
+      MESSAGE(STATUS "Using pkg_config, found \"zziplib\" version: ${PC_ZZIPLIB_zziplib_VERSION} with:")
+    ELSEIF(PC_ZZIPLIB_libzzip_FOUND)
+      MESSAGE(STATUS "Using pkg_config, found \"libzzip\" version: ${PC_ZZIPLIB_libzzip_VERSION} with:")
+    ELSEIF(PC_ZZIPLIB_zzip_FOUND)
+      MESSAGE(STATUS "Using pkg_config, found \"zzip\" version: ${PC_ZZIPLIB_zzip_VERSION} with:")
+    ELSE()
+      MESSAGE(STATUS "Using pkg_config, found Zzip version: ${PC_ZZIPLIB_VERSION} with:")
+    ENDIF()
+    MESSAGE(STATUS "  include directory(ies), ZZIPLIB_INCLUDE_DIRS: ${PC_ZZIPLIB_INCLUDE_DIRS} .")
+    MESSAGE(STATUS "  library(ies): ZZIPLIB_LIBRARY_DIRS: ${PC_ZZIPLIB_LIBRARY_DIRS}; ZZIPLIB_LIBDIR: ${PC_ZZIPLIB_LIBDIR}. ")
+  ELSEIF()
+    MESSAGE(WARNING "Using pkg_config, failed to find any version of Zziplib library!")
+  ENDIF()
+ENDIF()
+
+IF((APPLE) AND (PKG_CONFIG_FOUND))
+  PKG_SEARCH_MODULE(PC_HUNSPELL hunspell libhunspell)
+  IF(PC_HUNSPELL_FOUND)
+    IF(PC_HUNSPELL_hunspell_FOUND)
+      MESSAGE(STATUS "Using pkg_config, found \"hunspell\" version: ${PC_HUNSPELL_hunspell_VERSION} with:")
+    ELSEIF(PC_HUNSPELL_libhunspell_FOUND)
+      MESSAGE(STATUS "Using pkg_config, found \"libhunspell\" version: ${PC_HUNSPELL_libhunspell_VERSION} with:")
+    ELSE()
+      MESSAGE(STATUS "Using pkg_config, found Hunspell version: ${PC_HUNSPELL_VERSION} with:")
+    ENDIF()
+    MESSAGE(STATUS "  include directory(ies), HUNSPELL_INCLUDE_DIRS: ${PC_HUNSPELL_INCLUDE_DIRS} .")
+    MESSAGE(STATUS "  library(ies): HUNSPELL_LIBRARY_DIRS: ${PC_HUNSPELL_LIBRARY_DIRS}; HUNSPELL_LIBRARY_DIR: ${PC_HUNSPELL_LIBRARY_DIR}. ")
+  ELSEIF()

=== debian/changelog ===
mudlet (1:3.0.0~rc6zeta-1) unstable; urgency=medium

  * New upstream release
  * Added icon back into menu

 -- Craig Small <csmall@debian.org>  Sun, 13 Nov 2016 22:01:51 +1100
